# pandas.arrays.IntervalArray.from_breaks

classmethod IntervalArray.from_breaks(breaks, closed='right', copy=False, dtype=None)

  Construct an IntervalArray from an array of splits.

  Parameters
    breaks array-like (1-dimensional)

      Left and right bounds for each interval.

    closed{‘left’, ‘right’, ‘both’, ‘neither’}, default ‘right’

      Whether the intervals are closed on the left-side, right-side, both or neither.

    copy bool, default False

      Copy the data.

    dtype dtype or None, default None

      If None, dtype will be inferred.

  Returns
    IntervalArray

  See also

  `interval_range`

    Function to create a fixed frequency IntervalIndex.

  `IntervalArray.from_arrays`

    Construct from a left and right array.

  `IntervalArray.from_tuples`

    Construct from a sequence of tuples.

  Examples

      >>> pd.arrays.IntervalArray.from_breaks([0, 1, 2, 3])
      <IntervalArray>
      [(0, 1], (1, 2], (2, 3]]
      Length: 3, dtype: interval[int64, right]